## cockpit-machines 243

=== debian/changelog ===
cockpit-machines (243-1) experimental; urgency=medium

  * New upstream release:
    - PatternFly 4 updates
    - Translation updates
    - Correctly manage editing of unknown bus type

 -- Martin Pitt <mpitt@debian.org>  Wed, 14 Apr 2021 13:54:06 +0200

cockpit-machines (241-1) experimental; urgency=medium

  * Upstream project/source package got split out from cockpit.
    (Closes: #985768)

 -- Martin Pitt <mpitt@debian.org>  Tue, 23 Mar 2021 09:31:23 +0100
