## cockpit-machines 248

=== debian/changelog ===
cockpit-machines (248-1~ubuntu21.04.1) hirsute-backports; urgency=medium

  * No-change backport to hirsute

 -- Martin Pitt <mpitt@debian.org>  Tue, 27 Jul 2021 10:19:06 +0200

cockpit-machines (248-1) experimental; urgency=medium

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 26 Jul 2021 18:45:24 +0200
