## cockpit-machines 249

=== debian/changelog ===
cockpit-machines (249-1) experimental; urgency=medium

  * New upstream release:
    - Lots of bug fixes
    - Translation updates

 -- Martin Pitt <mpitt@debian.org>  Wed, 04 Aug 2021 10:02:06 +0200
