## cockpit-machines 250

=== debian/changelog ===
cockpit-machines (250-1~ubuntu21.04.1) hirsute-backports; urgency=medium

  * No-change backport to hirsute

 -- Martin Pitt <mpitt@debian.org>  Mon, 23 Aug 2021 14:11:09 +0200

cockpit-machines (250-1) unstable; urgency=medium

  * New upstream release:
    - Shared directories can be removed from a VM

 -- Martin Pitt <mpitt@debian.org>  Sun, 22 Aug 2021 08:03:26 +0200
