=== debian/control ===
Source: cockpit-machines
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>,
           Martin Pitt <mpitt@debian.org>,
Build-Depends: debhelper-compat (= 12),
Standards-Version: 4.5.1
Homepage: https://github.com/cockpit-project/cockpit-machines
Vcs-Git: https://salsa.debian.org/debian/cockpit-machines.git
Vcs-Browser: https://salsa.debian.org/debian/cockpit-machines

Package: cockpit-machines
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         cockpit-bridge (>= 215),
         libvirt-daemon-system,
         libvirt-clients | libvirt-bin,
         libvirt-dbus
Recommends: virtinst, python3-gi, gir1.2-libosinfo-1.0, qemu-block-extra
Description: Cockpit user interface for virtual machines
 The Cockpit Web Console enables users to administer GNU/Linux servers using a
 web browser.
 .
 This package adds an user interface for managing virtual machines.
 .
 If the "virtinst" package is installed, you can also create new virtual
 machines.
