## cockpit-machines 251

=== debian/changelog ===
cockpit-machines (251-1~ubuntu21.04.1) hirsute-backports; urgency=medium

  * No-change backport to hirsute

 -- Martin Pitt <mpitt@debian.org>  Fri, 10 Sep 2021 07:08:15 +0200

cockpit-machines (251-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 01 Sep 2021 18:37:21 +0200
