## cockpit-machines 253

=== debian/changelog ===
cockpit-machines (253-1~bpo11+1) bullseye-backports; urgency=medium

  * No-change backport to Debian Bullseye (Closes: #995693)

 -- Martin Pitt <mpitt@debian.org>  Thu, 07 Oct 2021 09:09:36 +0200

cockpit-machines (253-1) unstable; urgency=medium

  * New upstream version 252:
    - Add support for renaming VMs
  * New upstream version 253:
    - Support adding and removing host devices
  * debian/watch: Move to *.xz tarballs

 -- Martin Pitt <mpitt@debian.org>  Thu, 30 Sep 2021 07:55:15 +0200
