## cockpit-machines 254

=== debian/changelog ===
cockpit-machines (254-1) unstable; urgency=medium

  * New upstream version 254:
    - Support configuring static MAC IP address mappings

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 Oct 2021 14:54:23 +0200
