## cockpit-machines 255

=== debian/changelog ===
cockpit-machines (255-1~bpo11+1) bullseye-backports; urgency=medium

  * No-change backport to Debian Bullseye

 -- Martin Pitt <mpitt@debian.org>  Thu, 04 Nov 2021 10:07:30 +0100

cockpit-machines (255-1) unstable; urgency=medium

  * New upstream version 255:
    - Translation updates

 -- Martin Pitt <mpitt@debian.org>  Wed, 27 Oct 2021 14:44:45 +0200
