=== debian/changelog ===
cockpit-machines (256-1~bpo21.10.1) impish-backports; urgency=medium

  * No-change backport to impish

 -- Martin Pitt <mpitt@debian.org>  Thu, 11 Nov 2021 07:36:50 +0100

cockpit-machines (256-1) unstable; urgency=medium

  * New upstream version 256:
    - Support selecting between consoles of the same type

 -- Martin Pitt <mpitt@debian.org>  Wed, 10 Nov 2021 13:53:48 +0100
