=== debian/changelog ===
cockpit-machines (258-1~bpo11+1) bullseye-backports; urgency=medium

  * No-change backport to Debian Bullseye

 -- Martin Pitt <mpitt@debian.org>  Wed, 15 Dec 2021 07:29:49 +0100

cockpit-machines (258-1) unstable; urgency=medium

  * New upstream version 258:
    - Move storage pool actions outside of the expanded row
    - Move the 'Overview' tab content from the network rows to the expanded
      row directly

 -- Martin Pitt <mpitt@debian.org>  Thu, 09 Dec 2021 17:18:03 +0100
