## cockpit-machines 259

=== Makefile ===
--- 
+++ 
@@ -190,7 +190,7 @@
 # when you start a new project, use the latest release, and update it from time to time
 test/common:
 	flock Makefile sh -ec '\
-	    git fetch --depth=1 https://github.com/cockpit-project/cockpit.git 8b00034ff0aa0dc8014aef32067559ccfb88afb2; \
+	    git fetch --depth=1 https://github.com/cockpit-project/cockpit.git 3fbaa50dc294f361b670e4206ee9006f9526687e; \
 	    git checkout --force FETCH_HEAD -- test/common; \
 	    git reset test/common'
