=== debian/changelog ===
cockpit-machines (259-1~bpo21.10.1) impish-backports; urgency=medium

  * No-change backport to impish

 -- Martin Pitt <mpitt@debian.org>  Sun, 09 Jan 2022 11:43:40 +0100

cockpit-machines (259-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 05 Jan 2022 13:16:16 +0100
