=== debian/changelog ===
cockpit-machines (260-1~bpo21.10.1) impish-backports; urgency=medium

  * No-change backport to impish

 -- Martin Pitt <mpitt@debian.org>  Sun, 30 Jan 2022 09:13:46 +0100

cockpit-machines (260-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Tue, 25 Jan 2022 08:42:47 +0100
