=== debian/changelog ===
cockpit-machines (261-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 16 Feb 2022 16:50:54 +0100
