## cockpit-machines 262

=== debian/changelog ===
cockpit-machines (262-1~bpo21.10.1) impish-backports; urgency=medium

  * No-change backport to impish

 -- Martin Pitt <mpitt@debian.org>  Tue, 01 Mar 2022 17:56:16 +0100

cockpit-machines (262-1) unstable; urgency=medium

  * New upstream bug fix release:
    - Fix broken VM deletion dialog layout
    - Translation updates

 -- Martin Pitt <mpitt@debian.org>  Fri, 25 Feb 2022 10:28:22 +0100
