## cockpit-machines 263

=== debian/changelog ===
cockpit-machines (263-1~bpo21.10.1) impish-backports; urgency=medium

  * No-change backport to impish

 -- Martin Pitt <mpitt@debian.org>  Mon, 07 Mar 2022 22:26:17 +0100

cockpit-machines (263-1) unstable; urgency=medium

  * New upstream bug fix release:
    - Delete storage files also when the VM is shut off
    - Translation updates

 -- Martin Pitt <mpitt@debian.org>  Mon, 07 Mar 2022 06:45:51 +0100
