=== debian/changelog ===
cockpit-machines (264-1~bpo11+1) bullseye-backports; urgency=medium

  * No-change backport to Debian Bullseye

 -- Martin Pitt <mpitt@debian.org>  Sun, 27 Mar 2022 08:20:41 +0200

cockpit-machines (264-1) unstable; urgency=medium

  * New upstream release:
    - Disk serial number
    - Multiple fixes for host device attachment

 -- Martin Pitt <mpitt@debian.org>  Tue, 22 Mar 2022 06:17:56 +0100
