=== debian/changelog ===
cockpit-machines (265-1~bpo20.04.1) focal-backports; urgency=medium

  * No-change backport to focal

 -- Martin Pitt <mpitt@debian.org>  Wed, 06 Apr 2022 07:18:49 +0200

cockpit-machines (265-1) unstable; urgency=medium

  * New upstream release:
    - Translation updates
    - Tests robustification

 -- Martin Pitt <mpitt@debian.org>  Wed, 30 Mar 2022 17:08:25 +0200
