=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Michael Biebl <biebl@debian.org>,
            Martin Pitt <mpitt@debian.org>,
 Build-Depends: debhelper-compat (= 12),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://github.com/cockpit-project/cockpit-machines
 Vcs-Git: https://salsa.debian.org/debian/cockpit-machines.git
 Vcs-Browser: https://salsa.debian.org/debian/cockpit-machines
