## cockpit-machines 266

=== Makefile ===
--- 
+++ 
@@ -22,8 +22,6 @@
 WEBLATE_REPO_URL=https://github.com/cockpit-project/cockpit-machines-weblate.git
 WEBLATE_REPO_BRANCH=main
 
-PYTHONFILES=$(shell git grep -lI '^#!.*python') $(shell git ls-tree -r --name-only HEAD | grep '\.py')
-
 all: $(WEBPACK_TEST)
 
 #
@@ -154,16 +152,14 @@
 
 # build a VM with locally built distro pkgs installed
 $(VM_IMAGE): $(TARFILE) packaging/debian/rules packaging/debian/control packaging/arch/PKGBUILD bots
-	bots/image-customize --verbose --no-network --fresh --build $(TARFILE) --script $(CURDIR)/test/vm.install $(TEST_OS)
+	bots/image-customize --no-network --fresh --build $(TARFILE) --script $(CURDIR)/test/vm.install $(TEST_OS)
 
 # convenience target for the above
 vm: $(VM_IMAGE)
 	echo $(VM_IMAGE)
 
-# run static code checks for python code
 codecheck:
-	python3 -m pyflakes $(PYTHONFILES)
-	python3 -m pycodestyle --max-line-length=195 $(PYTHONFILES) # TODO: Fix long lines
+	test/static-code
 
 # run the browser integration tests; skip check for SELinux denials
 check: $(NODE_MODULES_TEST) $(VM_IMAGE) test/common test/reference
