=== debian/changelog ===
cockpit-machines (268-1) unstable; urgency=medium

  * New upstream release:
    - Provide default name for new VMs

 -- Martin Pitt <mpitt@debian.org>  Thu, 12 May 2022 16:46:58 +0200

cockpit-machines (266-1) unstable; urgency=medium

  * New upstream release:
    - Redesign VM creation
    - Remove static hosts from virtual network's DHCP

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 Apr 2022 09:45:53 +0200
