=== debian/changelog ===
cockpit-machines (270.1-1) unstable; urgency=medium

  * New upstream release:
    - Redesign content removal dialogs

 -- Martin Pitt <mpitt@debian.org>  Thu, 09 Jun 2022 11:05:20 +0200
