## cockpit-machines 271

=== debian/changelog ===
cockpit-machines (271-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy

 -- Martin Pitt <mpitt@debian.org>  Sun, 26 Jun 2022 07:30:54 +0200

cockpit-machines (271-1) unstable; urgency=medium

  * New upstream release:
    - Test fixes

 -- Martin Pitt <mpitt@debian.org>  Thu, 23 Jun 2022 13:35:10 +0200
