=== debian/changelog ===
cockpit-machines (272-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy

 -- Martin Pitt <mpitt@debian.org>  Mon, 25 Jul 2022 06:56:52 +0200

cockpit-machines (272-1) unstable; urgency=medium

  * New upstream release:
    - Download RHEL images

 -- Martin Pitt <mpitt@debian.org>  Wed, 20 Jul 2022 13:38:09 +0200
