## cockpit-machines 274

=== debian/changelog ===
cockpit-machines (274-1~bpo11+1) bullseye-backports; urgency=medium

  * No-change backport to Debian Bullseye

 -- Martin Pitt <mpitt@debian.org>  Mon, 12 Sep 2022 09:01:45 +0200

cockpit-machines (274-1) unstable; urgency=medium

  * New upstream release:
    - Fix downloading of RHEL images

 -- Martin Pitt <mpitt@debian.org>  Wed, 07 Sep 2022 10:25:31 +0200
