## cockpit-machines 275

=== debian/changelog ===
cockpit-machines (275-1~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy

 -- Martin Pitt <mpitt@debian.org>  Wed, 28 Sep 2022 07:07:55 +0200

cockpit-machines (275-1) unstable; urgency=medium

  * New upstream release:
    - Improvements of offline token management

 -- Martin Pitt <mpitt@debian.org>  Fri, 23 Sep 2022 06:45:08 +0200
