## cockpit-machines 276

=== debian/changelog ===
cockpit-machines (276-1) unstable; urgency=medium

  * New upstream release:
    - Add connection information to the VM detail page

 -- Martin Pitt <mpitt@debian.org>  Sat, 29 Oct 2022 07:26:02 +0200
